Seorang peneliti keamanan telah menemukan code execution flaw yang terdapat di PDFium PDF Reader pada web browser Google Chrome. Kerentanan (CVE-2016-1681), ditemukan oleh Aleksander Nikolic unit Talos Cisco, hadir dalam PDF dengan JPEG 2000 yang dapat memicu buffer overflow. Nikolic menjelaskan dalam sebuah blog bahwa penelitiannya tersebut terjadi pada dokumen PDF yang menggunakan JPEG2000, kerentanan tersebut memungkinkan penyerang melakukan eksekusi kode pada sistem korban.


Ia melanjutkan bahwa cacat berasal dari kesalahan pengembang Chrome, yaitu terdapat pada OpenJPEG library. Ketika PDFium memanfaatkan OpenJPEG library, kelalaian ini dapat mengakibatkan buffer overflow yang dimanfaatkan oleh pihak ketiga dengan memodifikasi code script. 'serangan paling efektif adalah ancaman untuk menempatkan file PDF berbahaya pada sebuah situs web dan kemudian mengarahkan korban menggunakan email phishing atau bahkan malvertising,' ujar Nikolic.

Setelah Nikolic menandai kesalahan ke Google pada 19 Mei, raksasa pencarian tersebut langsung merespon dengan cepat dan telah memperbaiki kerentanan pada 25 Mei. Untuk perlindungan terhadap eksploitasi tersebut, pengguna Chrome harus memperbarui ke versi browser terbaru. Chrome secara otomatis melakukan update, asalkan pengaturan ini tidak dinonaktifkan, sehingga mayoritas pengguna Chrome secara otomatis dilindungi setelah pengguna mereka restart browser. File PDF secara luas bisa diakses bebas secara online, yang membuat file tersebut menjadi target utama yang sangat mudah disusup oleh penyerang.
 
Top